<form class="form-signin" id="register-form">
    <h1 class="h3 mb-3 font-weight-normal">Welcome to join us</h1>
    <div hidden id="error-msg" class="text-danger">Username is not available, please choose another one.</div>
    <div class="above-input-line">3-20 alphanumeric characters</div>
    <label for="inputUsername" class="sr-only">Username</label>
    <input
      type="text"
      id="inputUsername"
      name="username"
      class="form-control"
      placeholder="Username"
      required="required"
      pattern="[A-Za-z0-9]{3,20}"
    />
    <div class="above-input-line">8-20 alphanumeric characters</div>
    <label for="inputPassword" class="sr-only">Password</label>
    <input
      type="password"
      id="inputPassword"
      name="password"
      class="form-control"
      placeholder="Password"
      required="required"
      pattern="[A-Za-z0-9]{8,20}"
    />
    <label for="inputEmail" class="sr-only">Email</label>
    <input
      type="email"
      id="inputEmail"
      name="email"
      class="form-control"
      placeholder="Email"
      required="required"
    />
    <button class="btn btn-lg btn-primary btn-block" id="submitButton" type="submit">
      Submit
    </button>
    <br>
  </form>
  <div id="register-link">
      <a class="internal-link" href="#/login">Back to Login</a> 
  </div>